Application: gvSIG desktop - gvSIG bugs #3492
Al cambiar la seleccion de una tabla no se refrescan las barras de herramientas
05/20/2015 04:16 PM - Francisco Diaz Carsi

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.2.0-2312

Severity: Minor Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: 2310 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Concretamente limpiar seleccion, zomm a la seleccion,... deberian ir cambiando a habilitado o deshabilitado dependiendo de si hay
elementos seleccionados o no.

Associated revisions

Revision 493 - 05/26/2015 12:57 PM - Francisco Diaz Carsi

fixes #3492 Quitado el dispose de la featureSelection que se hacia por error en todas las herramientas de la nueva edicién vectorial y que provocaba

un mal funcionamiento de la seleccién del documento tabla cuando estaba abierto a la vez que la vista.

Revision 499 - 05/27/2015 06:12 PM - Francisco Diaz Carsi

fixes #3492 Arreglados los dispose y bind de las featureSelection en los proveedores

History

#1 - 05/25/2015 10:16 AM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#2 - 05/26/2015 12:59 PM - Francisco Diaz Carsi

- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset gvsig-vector-editing:gvsig-vectorediting|r493.

#3 - 05/26/2015 01:02 PM - Francisco Diaz Carsi
- % Done changed from 100 to 0

El error estaba provocado por las herramientas de la nueva edicién vectorial que hacian por error un dispose de la featureSelection que provocaba
errores en el funcionamiento de la seleccion en el documento tabla cuando estaba abierta a la vez que la vista.
Se ha eliminado ese dispose, y ya funciona correctamente la seleccion en la tabla.
#4 - 05/27/2015 02:31 PM - Francisco Diaz Carsi
- Status changed from Fixed to In progress

Reabro porque el arreglo no es correcto, se debe hacer un dispose, pero antes, al coger la referencia al objeto se debe hacer un bind.

#5 - 05/27/2015 06:13 PM - Francisco Diaz Carsi
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Applied in changeset gvsig-vector-editing:gvsig-vectorediting|r499.

#6 - 05/27/2015 06:13 PM - Francisco Diaz Carsi
- % Done changed from 100 to 0
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#7 - 05/28/2015 06:34 PM - Alvaro Anguix
- Status changed from Fixed to Closed
